%define upstream_name    Test-Perl-Critic
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Use Perl::Critic in test programs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(MCE) >= 1.827.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Perl::Critic) >= 1.105.0
BuildRequires: perl(Perl::Critic::Utils) >= 1.105.0
BuildRequires: perl(Perl::Critic::Violation) >= 1.105.0
BuildRequires: perl(Test::Builder) >= 0.880.0
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

# Avoid doc-file dependencies from tests
%{?perl_default_filter}

%description 
Test::Perl::Critic wraps the Perl::Critic engine in a convenient subroutine
suitable for test programs written using the Test::More framework. This makes
it easy to integrate coding-standards enforcement into the build process. For
ultimate convenience (at the expense of some flexibility), see the criticism
pragma.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}

%check
./Build test

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.40.0-4.mga9
+ Revision: 1819065
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-3.mga8
+ Revision: 1506504
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.40.0-2.mga7
+ Revision: 1286688
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 tv <tv> 1.40.0-1.mga7
+ Revision: 1213429
- update to 1.04

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-3.mga6
+ Revision: 1034485
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.30.0-2.mga6
+ Revision: 967131
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.30.0-1.mga6
+ Revision: 848141
- update to 1.03

* Sun Oct 19 2014 umeabot <umeabot> 1.20.0-7.mga5
+ Revision: 789272
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-6.mga5
+ Revision: 746157
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.20.0-5.mga5
+ Revision: 736013
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 515307
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 373677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 37207
- mageia rebuild
- imported package perl-Test-Perl-Critic


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.1
+ Revision: 461032
- update to 1.02

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.0
+ Revision: 405590
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.01-4mdv2009.0
+ Revision: 258576
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.01-3mdv2009.0
+ Revision: 246547
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.01-1mdv2008.1
+ Revision: 140721
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Feb 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2007.0
+ Revision: 120201
- new version

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2007.1
+ Revision: 84368
- new release

* Thu Nov 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2007.0
+ Revision: 79420
- Import perl-Test-Perl-Critic

* Sun Nov 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2007.1
- first mdv release

